## API Report File for "@genesislcap/foundation-header"

> Do not edit this file. It is a report generated by [API Extractor](https://api-extractor.com/).

```ts

import { Auth } from '@genesislcap/foundation-comms';
import { Controller } from '@microsoft/fast-element';
import { CredentialManager } from '@genesislcap/foundation-comms';
import { ElementStyles } from '@microsoft/fast-element';
import { EmitOptions } from '@genesislcap/foundation-events';
import { EmitReturn } from '@genesislcap/foundation-events';
import type { FoundationRouteNavItem } from '@genesislcap/foundation-ui';
import { I18next } from '@genesislcap/foundation-i18n';
import { ViewTemplate } from '@microsoft/fast-element';

// @public
export type ElementTargetId = HeaderTargetId | NavTargetId | SideNavTargetId;

// @public
export type HeaderTargetId = 'header-start' | 'header' | 'header-end';

// @public
export type LanguageOptions = {
    availableLanguages: string[];
    selectedLanguage: string;
};

// @public
export const MainStyles: ElementStyles;

// @public
export type NavEventDetailMap = {
    'luminance-icon-clicked': void;
    'misc-icon-clicked': void;
    'notification-icon-clicked': void;
    'language-changed': void;
};

// Warning: (ae-forgotten-export) The symbol "Navigation_base" needs to be exported by the entry point index.d.ts
//
// @public
export class Navigation extends Navigation_base {
    // (undocumented)
    auth: Auth;
    changeLanguage(e: CustomEvent): void;
    // (undocumented)
    connectedCallback(): Promise<void>;
    // (undocumented)
    credentialManager: CredentialManager;
    hideSideBar: boolean;
    // (undocumented)
    i18next: I18next;
    // (undocumented)
    languageOptions: LanguageOptions;
    // @internal
    loadRemotes(): Promise<void>;
    logoSrc: any;
    logout(): Promise<void>;
    // @internal
    luminanceIconEvent(): void;
    // @internal
    miscIconEvent(): void;
    navigateTo(path: string): void;
    // @internal
    notificationIconEvent(): void;
    // (undocumented)
    ready: boolean;
    // @deprecated
    routeButtons: Array<{
        index: number;
        path: string;
        title: string;
        icon: string;
        variant: string;
    }>;
    // @internal (undocumented)
    routeButtonsChanged(): void;
    routeNavItems: FoundationRouteNavItem[];
    // (undocumented)
    selectTemplate(): ViewTemplate<Navigation, any>;
    showConnectionIndicator: boolean;
    showLanguageSelector: boolean;
    showLuminanceToggleButton: boolean;
    showMiscToggleButton: boolean;
    // @deprecated
    showNotificationsButton: boolean;
    // @internal (undocumented)
    showNotificationsButtonChanged(): void;
    // (undocumented)
    sideNavOpen: boolean;
    // @internal
    toggleNavVisibility(): void;
    toLocalisedText(text: string): string;
    userName: string;
}

// @public
export type NavTargetId = 'nav-start' | 'nav' | 'nav-end';

// @public
export const NavTemplate: ViewTemplate<Navigation, any>;

// @public
export type SideNavTargetId = 'side-nav-start' | 'side-nav' | 'side-nav-end';

// @public
export type StyleTargetId = 'header';

// (No @packageDocumentation comment for this package)

```
